---------------------
PatchSet 5884 
Date: 2007/10/06 19:54:24
Author: serassio
Branch: squid3-ipv6
Tag: (none) 
Log:
Fix function prototype and some missing MinGW defines

Members: 
	include/getaddrinfo.h:1.1.2.2->1.1.2.3 
	include/getnameinfo.h:1.1.2.1->1.1.2.2 
	include/inet_ntop.h:1.1.2.1->1.1.2.2 
	include/inet_pton.h:1.1.2.1->1.1.2.2 

Index: squid3/include/getaddrinfo.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/include/Attic/getaddrinfo.h,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/include/getaddrinfo.h	23 Sep 2007 10:13:56 -0000	1.1.2.2
+++ squid3/include/getaddrinfo.h	6 Oct 2007 19:54:24 -0000	1.1.2.3
@@ -13,7 +13,7 @@
  *    16-Aug-2007 : Altered configure checks
  *                  Un-hacked slightly to use system gethostbyname()
  *
- * Squid CVS $Id: getaddrinfo.h,v 1.1.2.2 2007/09/23 10:13:56 serassio Exp $
+ * Squid CVS $Id: getaddrinfo.h,v 1.1.2.3 2007/10/06 19:54:24 serassio Exp $
  *
  *  Original License and code follows.
  */
@@ -85,19 +85,30 @@
 #define EAI_NONAME     8   /* nodename nor servname provided, or not known */
 #define EAI_SERVICE    9   /* servname not supported for ai_socktype */
 #define EAI_SOCKTYPE   10  /* ai_socktype not supported */
-#define EAI_SYSTEM     11  /* system error returned in errno */
-#define EAI_OVERFLOW   12  /* argument buffer too small */
+#endif
+#ifndef EAI_SYSTEM
+/* Not defined on mingw32. */
+#define EAI_SYSTEM     11  /* System error returned in `errno'.  */
+#endif
+#ifndef EAI_OVERFLOW
+/* Not defined on mingw32. */
+#define EAI_OVERFLOW   12 /* Argument buffer overflow.  */
+#endif
+
+#ifndef IN_EXPERIMENTAL
+#define IN_EXPERIMENTAL(a)  \
+     ((((long int) (a)) & 0xf0000000) == 0xf0000000)
 #endif
 
 /* RFC 2553 / Posix resolver */
-int xgetaddrinfo (const char *nodename, const char *servname,
+SQUIDCEXTERN int xgetaddrinfo (const char *nodename, const char *servname,
 		 const struct addrinfo *hints, struct addrinfo **res);
 
 /* Free addrinfo structure and associated storage */
-void xfreeaddrinfo (struct addrinfo *ai);
+SQUIDCEXTERN void xfreeaddrinfo (struct addrinfo *ai);
 
 /* Convert error return from getaddrinfo() to string */
-const char *xgai_strerror (int code);
+SQUIDCEXTERN const char *xgai_strerror (int code);
 
 #endif /* HAVE_GETADDRINFO */
 
Index: squid3/include/getnameinfo.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/include/Attic/getnameinfo.h,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid3/include/getnameinfo.h	16 Aug 2007 22:13:41 -0000	1.1.2.1
+++ squid3/include/getnameinfo.h	6 Oct 2007 19:54:24 -0000	1.1.2.2
@@ -3,7 +3,7 @@
 /*
  * Reconstructed from KAME getnameinfo.c (in lib/)
  *
- * $Id: getnameinfo.h,v 1.1.2.1 2007/08/16 22:13:41 amosjeffries Exp $
+ * $Id: getnameinfo.h,v 1.1.2.2 2007/10/06 19:54:24 serassio Exp $
  */
 
 #include "config.h"
@@ -16,14 +16,8 @@
 #else /* !HAVE_GETNAMEINFO */
 
 /* RFC 2553 / Posix resolver */
-int
-xgetnameinfo(
-        const struct sockaddr *sa,
-#ifdef HAVE_SOCKLEN_T
+SQUIDCEXTERN int xgetnameinfo(const struct sockaddr *sa,
         socklen_t salen,
-#else
-        unsigned int salen,
-#endif
         char *host,
         size_t hostlen,
         char *serv,
Index: squid3/include/inet_ntop.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/include/Attic/inet_ntop.h,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid3/include/inet_ntop.h	24 Sep 2007 02:16:51 -0000	1.1.2.1
+++ squid3/include/inet_ntop.h	6 Oct 2007 19:54:24 -0000	1.1.2.2
@@ -16,8 +16,7 @@
  * author:
  *      Paul Vixie, 1996.
  */
-const char *
-xinet_ntop(int af, const void *src, char *dst, size_t size);
+SQUIDCEXTERN const char * xinet_ntop(int af, const void *src, char *dst, size_t size);
 
 #endif
 
Index: squid3/include/inet_pton.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/include/Attic/inet_pton.h,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid3/include/inet_pton.h	24 Sep 2007 02:16:51 -0000	1.1.2.1
+++ squid3/include/inet_pton.h	6 Oct 2007 19:54:24 -0000	1.1.2.2
@@ -19,8 +19,7 @@
  * author:
  *      Paul Vixie, 1996.
  */
-int
-xinet_pton(int af, const char *src, void *dst);
+SQUIDCEXTERN int xinet_pton(int af, const char *src, void *dst);
 
 #endif
 
